External video doesn't play when block is on auto-retract

Bug #1565669 reported by Kristina Hoeppner on 2016-04-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Pat
15.10
High
Unassigned
16.10
High
Pat

Bug Description

tested on demo.mahara.org and local master

Originally reported at https://mahara.org/interaction/forum/topic.php?id=7568

'We are using Mahara 15.10 and have just found that when embedding external media ( youtube clip) and setting the Retractable option to "Automatically retract" it won't play. The video will play when set to Retractable=Yes or Retractable=No, but when set to Automatically retract it just displays "Loading..." but doesn't play the clip.'

Changed in mahara:
status: Confirmed → In Progress
assignee: nobody → Pat (pat-kira)
Changed in mahara:
status: In Progress → Confirmed

Reviewed: https://reviews.mahara.org/6337
Committed: https://git.mahara.org/mahara/mahara/commit/8d7dae8049176ca76ff4bbef8fb82e2e9e19d206
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 8d7dae8049176ca76ff4bbef8fb82e2e9e19d206
Author: Pat Kira <email address hidden>
Date: Thu Apr 14 17:55:34 2016 +1200

Bug 1565669: Fixed video not loading when expand collapsible

behatnotneeded

Change-Id: I15041cdfbaf3f8cd3519794dd1102928201c7551

Reviewed: https://reviews.mahara.org/6346
Committed: https://git.mahara.org/mahara/mahara/commit/a5e325546d7f4441f09c7150779ded30b4fea53e
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit a5e325546d7f4441f09c7150779ded30b4fea53e
Author: Pat Kira <email address hidden>
Date: Thu Apr 14 17:55:34 2016 +1200

Bug 1565669: Fixed video not loading when expand collapsible

behatnotneeded

Change-Id: I15041cdfbaf3f8cd3519794dd1102928201c7551
(cherry picked from commit 8d7dae8049176ca76ff4bbef8fb82e2e9e19d206)

Robert Lyon (robertl-9) on 2016-04-15
Changed in mahara:
status: Confirmed → Fix Committed

Reviewed: https://reviews.mahara.org/6347
Committed: https://git.mahara.org/mahara/mahara/commit/f70d98ccad4eac5023ba68042d595919c29ec6c7
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit f70d98ccad4eac5023ba68042d595919c29ec6c7
Author: Pat Kira <email address hidden>
Date: Thu Apr 14 17:55:34 2016 +1200

Bug 1565669: Fixed video not loading when expand collapsible

behatnotneeded

Change-Id: I15041cdfbaf3f8cd3519794dd1102928201c7551
(cherry picked from commit 8d7dae8049176ca76ff4bbef8fb82e2e9e19d206)
(cherry picked from commit a5e325546d7f4441f09c7150779ded30b4fea53e)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers